summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/winff/README6
-rw-r--r--multimedia/winff/doinst.sh4
-rw-r--r--multimedia/winff/slack-desc19
-rw-r--r--multimedia/winff/winff.SlackBuild106
-rw-r--r--multimedia/winff/winff.info10
5 files changed, 145 insertions, 0 deletions
diff --git a/multimedia/winff/README b/multimedia/winff/README
new file mode 100644
index 0000000000..7bca3dbc1d
--- /dev/null
+++ b/multimedia/winff/README
@@ -0,0 +1,6 @@
+WinFF is a GUI for the command line video converter, FFMPEG. It will
+convert most any video file that FFmpeg will convert. WinFF does
+multiple files in multiple formats at one time. You can for example
+convert mpeg's, flv's, and mov's, all into avi's all at once.
+
+This requires ffmpeg. \ No newline at end of file
diff --git a/multimedia/winff/doinst.sh b/multimedia/winff/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/winff/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/winff/slack-desc b/multimedia/winff/slack-desc
new file mode 100644
index 0000000000..61f10ad8b1
--- /dev/null
+++ b/multimedia/winff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+winff: winff (GUI for ffmpeg)
+winff:
+winff: WinFF is a GUI for the command line video converter, FFMPEG. It will
+winff: convert most any video file that FFmpeg will convert. WinFF does
+winff: multiple files in multiple formats at one time. You can for example
+winff: convert mpeg's, flv's, and mov's, all into avi's all at once.
+winff:
+winff:
+winff: Homepage: http://winff.org/
+winff:
+winff:
diff --git a/multimedia/winff/winff.SlackBuild b/multimedia/winff/winff.SlackBuild
new file mode 100644
index 0000000000..91bdb315af
--- /dev/null
+++ b/multimedia/winff/winff.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for WinFF
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=winff
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Tt is just a binary repackaging.
+if [ "$ARCH" = "i486" ]; then
+ TARGET="i386"
+elif [ "$ARCH" = "i686" ]; then
+ TARGET="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ TARGET="amd64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+ar xo $CWD/$PRGNAM\_$VERSION-1_$TARGET.deb
+tar xvf data.tar.gz
+mkdir $PRGNAM-$VERSION
+mv usr/ $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Delete unecessary files
+find . -name '*Debian*' -exec rm -rf {} \;
+
+# Copy executable program
+mkdir -p $PKG/usr/bin
+cp -a usr/bin/* $PKG/usr/bin
+
+# Copy libraries program
+mkdir -p $PKG/usr/share/winff
+cp -a usr/share/winff/* $PKG/usr/share/winff
+
+# Copy compressed man file
+mkdir -p $PKG/usr/man/man1
+cp -a usr/share/man/man1/* $PKG/usr/man/man1
+
+# Copy desktop entries
+mkdir -p $PKG/usr/share/applications
+cat usr/share/applications/$PRGNAM.desktop > \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Copy icon
+mkdir -p $PKG/usr/share/pixmaps
+cat usr/share/icons/hicolor/48x48/apps/winff.png > $PKG/usr/share/pixmaps/winff.png
+
+# Copy documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a usr/share/doc/$PRGNAM/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/winff/winff.info b/multimedia/winff/winff.info
new file mode 100644
index 0000000000..84fcddd2fd
--- /dev/null
+++ b/multimedia/winff/winff.info
@@ -0,0 +1,10 @@
+PRGNAM="winff"
+VERSION="1.3.0"
+HOMEPAGE="http://winff.org/"
+DOWNLOAD="http://winff.googlecode.com/files/winff_1.3.0-1_i386.deb"
+MD5SUM="d2d021aa6ebced20de0ca7baeaa236ae"
+DOWNLOAD_x86_64="http://winff.googlecode.com/files/winff_1.3.0-1_amd64.deb"
+MD5SUM_x86_64="dab20991886faae50511ffc70964be30"
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="dsomero"